#ifndef VCB_PRIVATE_H
#define VCB_PRIVATE_H

/*
 *	COPYRIGHT
 *		The material published in this distribution is Freeware.
 *		Copyright  1992 remains at the author, Stefan Reisner.
 *		
 *		It may only be passed on unmodified and in its present
 *		composition. In particular, this copyright notice must be
 *		included and must be intact.
 */

#include <exec/semaphores.h>
#include <exec/types.h>
#include "vcb.h"

/* this structure contains the per-class data */
struct VCBperClassData
{
	Class *VCXClass;
};

/* this structure describes an interval by its lower (`left) bound and its size (diameter) */
struct interval
{
	int offset, size;
};

/* this structure contains all information about one virtual coordinate axis */
struct axis
{
	struct interval real, virtual;
	int total, unit;
	APTR scroller;
};

/* the instance data structure of a Virtual Coordinate Box */
struct VCB
{
	struct axis horiz, vert;
	struct SignalSemaphore semaphore;
	struct Hook *exposure;
	ULONG flags;
	int size_width, size_height, dimensioned;
};

/* gadget IDs for the scrollers */
#define HORIZ_ID	1
#define VERT_ID		2

#endif
